Retry Failed Jobs
curl --request POST \
--url https://api.promptloop.com/v0/batches/{id}/retry \
--header 'x-api-key: <api-key>'import requests
url = "https://api.promptloop.com/v0/batches/{id}/retry"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.promptloop.com/v0/batches/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"data": {
"batch_id": "a427201b-2340-4f06-ad68-2da8e0fdb120",
"jobs_retried": 10,
"batch_reactivated": false
},
"message": "<string>",
"error": {
"code": 123,
"details": "<string>"
}
}{
"status": "error",
"data": {},
"message": "<string>",
"error": {
"code": 123,
"details": "<string>"
}
}{
"status": "error",
"data": {},
"message": "<string>",
"error": {
"code": 123,
"details": "<string>"
}
}{
"status": "error",
"data": {},
"message": "<string>",
"error": {
"code": 123,
"details": "<string>"
}
}{
"status": "error",
"data": {},
"message": "<string>",
"error": {
"code": 123,
"details": "<string>"
}
}Batches
Retry Failed Jobs
Retries failed jobs in a batch. This will re-queue all failed jobs for processing. If the batch was cancelled, it will be reactivated.
POST
/
v0
/
batches
/
{id}
/
retry
Retry Failed Jobs
curl --request POST \
--url https://api.promptloop.com/v0/batches/{id}/retry \
--header 'x-api-key: <api-key>'import requests
url = "https://api.promptloop.com/v0/batches/{id}/retry"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.promptloop.com/v0/batches/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"data": {
"batch_id": "a427201b-2340-4f06-ad68-2da8e0fdb120",
"jobs_retried": 10,
"batch_reactivated": false
},
"message": "<string>",
"error": {
"code": 123,
"details": "<string>"
}
}{
"status": "error",
"data": {},
"message": "<string>",
"error": {
"code": 123,
"details": "<string>"
}
}{
"status": "error",
"data": {},
"message": "<string>",
"error": {
"code": 123,
"details": "<string>"
}
}{
"status": "error",
"data": {},
"message": "<string>",
"error": {
"code": 123,
"details": "<string>"
}
}{
"status": "error",
"data": {},
"message": "<string>",
"error": {
"code": 123,
"details": "<string>"
}
}Authorizations
Path Parameters
Batch ID to retry
Query Parameters
Only retry failed jobs (default: true). Set to false to retry all non-completed jobs.
